Cycles: Re-enabled motion blur for object scaling.
ClosedPublic

Authored by Stefan Werner (swerner) on Dec 1 2017, 12:34 PM.

Diff Detail

Repository
rB Blender
Branch
mscale
Build Status
Buildable 1072
Build 1072: arc lint + arc unit
Stefan Werner (swerner) edited the summary of this revision. (Show Details)Dec 1 2017, 12:40 PM
  • Cycles: Changed object properties offset to match new data structure size
Brecht Van Lommel (brecht) requested changes to this revision.Dec 2 2017, 3:39 AM

The motion blur ctests are all failing here on Linux, did you check those?

Otherwise seems fine to me, it's time we restored this functionality.

This revision now requires changes to proceed.Dec 2 2017, 3:39 AM

It is strange, it fails the unit tests because of different noise patterns, but appears to converge to the same result. I'll do some more investigating to find out where things take a different path.

It is possible that transform is slightly different, which causes rays to bounce a bit different? Surely worth doublechecking if that's something expected and something what is indeed happening, but i wouldn't be too much concerned about noise changes.

As for the feature itself, yes, let's bring it back!

For me the difference was much bigger than noise changes. This version passes the regression tests, except for one which has motion blur with scale so that's fine.

This revision was not accepted when it landed; it landed in state Needs Review.Jan 11 2018, 3:13 AM
This revision was automatically updated to reflect the committed changes.